﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032: (1 year) VER RS-232 /5820A+5Ch
DATE:                  2010-08-04 12:41:45
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       179
CONFIGURATION:         Fluke 5820A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3032
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
# Compatibility:
#        5500/CAL or MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub Tek TDS3000/3000B RS-232 Interface
#        Sub UUT RS-232 Connection DTE DB9 (m) /58xx
#        Sub Tek TDS3000 Setup RS-232
#        Sub IEEE-488.2 Identification Query RS-232
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test RS-232
#        Sub Tek TDS3000 Signal Path Compensation Cal RS-232
#        Sub Tek TDS3000 (1 yr) DCV RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800
#        Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5800
#        Sub Tek TDS3000 Select Channel RS-232
#        Sub Tek TDS3000 Trigger Check and Level Adjust RS-232
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM, TDS3GV or TDS3VM
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5820                                                    C2
  1.003  5820         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub Tek TDS3000/3000B RS-232 Interface
  1.017  CALL         Sub UUT RS-232 Connection DTE DB9 (m) /58xx
  1.018  CALL         Sub Tek TDS3000 Setup RS-232

  1.019  PORT         *RST;*OPC?[I!]

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3032"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000 Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.029  CALL         Sub Tek TDS3000 Signal Path Compensation Cal RS-232
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Self-Test RS-232
  1.032  JMPL         END                           @Abort

  1.033  DISP         Connect the 58xxA to the UUT as follows:
  1.033  DISP
  1.033  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.033  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.

  1.034  MATH         @Chan = 1
  1.035  M5800                                                    C1
  1.036  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5800

  1.037  MATH         @Chan = 2
  1.038  M5800                                                    C2
  1.039  CALL         Sub Tek TDS3000 (1 yr) DCV RS-232 /5800

  1.040  MATH         @Chan = 1
  1.041  M5800                                                    C1
  1.042  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800

  1.043  MATH         @Chan = 2
  1.044  M5800                                                    C2
  1.045  CALL         Sub Tek TDS3000 (1 yr) Bandwidth RS-232 /5800

  1.046  MATH         @Chan = 1
  1.047  M5800                                                    C1
  1.048  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800

  1.049  MATH         @Chan = 2
  1.050  M5800                                                    C2
  1.051  CALL         Sub Tek TDS3000 (1 yr) Trig Sens RS-232 /5800

  1.052  MATH         @Chan = 1
  1.053  M5800                                                    C1
  1.054  CALL         Sub Tek TDS3000 (1 yr) Sample Rate RS-232 /5800

  1.055  LABEL        END
  1.056  HEAD         -2

  1.057  IF           @Abort
  1.058  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.059  ELSE
  1.060  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.061  ENDIF

  1.062  END






